Bug 467372 - RFE: add a field to the frontpage which lists all bugs where the user is on CC
RFE: add a field to the frontpage which lists all bugs where the user is on CC
Status: CLOSED NEXTRELEASE
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
3.2
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-17 04:03 EDT by Thorsten Scherf
Modified: 2013-06-24 00:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-10 02:51:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
v1 for adding cc section to the front page (4.48 KB, patch)
2008-11-07 01:46 EST, Noura El hawary
dkl: review+
Details | Diff

  None (edit)
Description Thorsten Scherf 2008-10-17 04:03:02 EDT
Description of problem:

would be really helpful to have a list on the frontpage where I can check all bugs I'm currently monitoring, so where I'm on the CC list.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Noura El hawary 2008-11-07 01:46:09 EST
Created attachment 322816 [details]
v1 for adding  cc section to the front page

Hi Dave,

To save you some time , I attempted to do this bug. The attached patch will add CC section to the user's front page, this section should include all open bugs and by open bugs i mean all the statuses:

['NEW' ,'ASSIGNED', 'ON_DEV','ON_QA','VERIFIED','RELEASE_PENDING','FAILS_QA','POST']

I wasn't sure if i should have made 2 sections one for New bugs and one for open ones in progress like how it is with the section bugs reported by you. what do you think? I have applied this patch to bz-web2 for testing.

Noura
Comment 2 David Lawrence 2008-11-07 10:47:38 EST
Comment on attachment 322816 [details]
v1 for adding  cc section to the front page

The patch looks good Noura. Also I would not create two sections as the front page is already crowded. Just grouping NEW bugs in with the Open Bug as you already have it is sufficient.

Dave
Comment 3 Noura El hawary 2008-11-10 02:51:10 EST
Thanks for the review Dave. all committed to CVS now.

Thorsten this feature should be live next bugzilla release which is usually on Thursday.

Noura
Comment 4 Thorsten Scherf 2008-11-10 06:31:10 EST
cool, thanks a lot. Very appreciated.

Note You need to log in before you can comment on or make changes to this bug.